MATLAB Answers

1. Simulink requires a C compiler for simulation acceleration, model reference, and MATLAB Function Block capabilities. It is recommended that you install a supported compiler on your machine.

221 views (last 30 days)
Ligang
Ligang on 6 Sep 2019
Commented: Lukas Schulth on 8 Dec 2020
Version:0.9 StartHTML:-1 EndHTML:-1 StartFragment:0000000111 EndFragment:0000000441 1. Simulink requires a C compiler for simulation acceleration, model reference, and MATLAB Function Block capabilities. It is recommended that you install a supported compiler on your machine.

Answers (3)

julianh
julianh on 4 Dec 2020
I fixed it like this:
At it is said is not a problem you just need to close and launch matlab from its location for that you make:
  1. go to the instalation folder and search the bin folder normally in the root of your terminal you enter this: cd /usr/local/MATLAB/R2020b/bin
  2. Then you wiil need to lauch activate matlab.sh in the terminal you do this: sudo ./activate_matlab.sh
  3. Better activate using a file_license the activation wizard will help you to do that you will need to create an activation file using your host ID and the user name that is your ubuntu name online, then download and then activate.
  4. launch matlab that is located in the same directory using: ./matlab
Enjoy

Steven Lord
Steven Lord on 31 Mar 2020
This isn't a report of a problem. It states that if you want to take advantage of "simulation acceleration, model reference, and MATLAB Function Block capabilities" there is an additional step you will need to complete, one that the MathWorks installer cannot complete on its own because it would require installing a non-MathWorks product.
If you have no intention of taking advantage of those capabilities, you don't need to take action.
If you do intend to take advantage of those capabilities, you should install a supported C compiler to enable them.

  7 Comments

Show 4 older comments
Zhicheng Ouyang
Zhicheng Ouyang on 5 Oct 2020
Same problem. Intallation completes with the info"1. Simulink requires a C compiler for simulation acceleration, model reference, and MATLAB Function Block capabilities. It is recommended that you install a supported compiler on your machine."
MATLAB2020a is not successfully installed and cannot open.
I'm ubuntu18 user. This issue is solved after running installation again in ubuntu store.
Lukas Schulth
Lukas Schulth on 16 Nov 2020
I just installed Gnu Compiler Collection using
sudo apt-get install build-essential
and restarted the Matlab installtion. The installation finished.
When I try to start Matlab I get a licensing error.
Running activare_matlab.sh throws the error: "Failed to install file: not supported".
Im using Ubuntu 20.04.1 LTS on a dual boot besides Windows 10.
julianh
julianh on 4 Dec 2020
well yes is a problem i have the compiler GCC required in my pc and still having this message. Simulink requires a C compiler for simulation acceleration, model reference, and MATLAB Function Block capabilities. It is recommended that you install a supported compiler on your machine."

Sign in to comment.


guta tesema
guta tesema on 13 Nov 2020
1. Simulink requires a C compiler for simulation acceleration, model reference, and MATLAB Function Block capabilities. It is recommended that you install a supported compiler on your machine.

  0 Comments

Sign in to comment.

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!